package com.ruoyi.base.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * PLC参数信息对象 base_plc_param
 * 
 * @author zangch
 * @date 2024-11-01
 */
public class BasePlcParam extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 标识 */
    @Excel(name = "标识")
    private Long objId;

    /** 参数编号 */
    @Excel(name = "参数编号")
    private String paramCode;

    /** 参数别名 */
    @Excel(name = "参数别名")
    private String paramAlias;

    /** 参数地址 */
    @Excel(name = "参数地址")
    private String paramAddr;

    /** 参数类型：int16、int32、string、bool */
    @Excel(name = "参数类型：int16、int32、string、bool")
    private String paramType;

    /** 是否启用:1-是；0-否 */
    @Excel(name = "是否启用:1-是；0-否")
    private String isFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedTime;

    public void setObjId(Long objId) 
    {
        this.objId = objId;
    }

    public Long getObjId() 
    {
        return objId;
    }
    public void setParamCode(String paramCode) 
    {
        this.paramCode = paramCode;
    }

    public String getParamCode() 
    {
        return paramCode;
    }
    public void setParamAlias(String paramAlias) 
    {
        this.paramAlias = paramAlias;
    }

    public String getParamAlias() 
    {
        return paramAlias;
    }
    public void setParamAddr(String paramAddr) 
    {
        this.paramAddr = paramAddr;
    }

    public String getParamAddr() 
    {
        return paramAddr;
    }
    public void setParamType(String paramType) 
    {
        this.paramType = paramType;
    }

    public String getParamType() 
    {
        return paramType;
    }
    public void setIsFlag(String isFlag) 
    {
        this.isFlag = isFlag;
    }

    public String getIsFlag() 
    {
        return isFlag;
    }
    public void setCreatedBy(String createdBy) 
    {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() 
    {
        return createdBy;
    }
    public void setCreatedTime(Date createdTime) 
    {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() 
    {
        return createdTime;
    }
    public void setUpdatedBy(String updatedBy) 
    {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() 
    {
        return updatedBy;
    }
    public void setUpdatedTime(Date updatedTime) 
    {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() 
    {
        return updatedTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objId", getObjId())
            .append("paramCode", getParamCode())
            .append("paramAlias", getParamAlias())
            .append("paramAddr", getParamAddr())
            .append("paramType", getParamType())
            .append("isFlag", getIsFlag())
            .append("createdBy", getCreatedBy())
            .append("createdTime", getCreatedTime())
            .append("updatedBy", getUpdatedBy())
            .append("updatedTime", getUpdatedTime())
            .toString();
    }
}
